package project;

import project.scenes.LoadingScene;
import pi.Controller;

import java.awt.Cursor;
import java.awt.Point;
import java.awt.Toolkit;

public class Main
{
    public static void main(String[] args)
    {
        Controller.instantMode(false);
        Controller.start(new LoadingScene(), 1000, 600);
 
        try {
            Cursor customCursor = Toolkit.getDefaultToolkit().createCustomCursor(
                Controller.images.get("images/pixui-pack/Misc/Cursor.png"),
                new Point(0, 0), // Hotspot (Klickpunkt)
                "PixUI cursor"
            );
            Controller.frame().setCursor(customCursor);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
